Browse Source

added celestia-1.4.0.ebuild

git-svn-id: http://overlays.gentoo.org/svn/proj/science/overlay@45 32389bae-6d03-0410-99cf-db05cde120eb
ambertools
bicatali 17 years ago
parent
commit
b5458939e8
  1. 170
      sci-astronomy/celestia/ChangeLog
  2. 8
      sci-astronomy/celestia/Manifest
  3. 109
      sci-astronomy/celestia/celestia-1.3.2.ebuild
  4. 97
      sci-astronomy/celestia/celestia-1.4.0.ebuild
  5. 141
      sci-astronomy/celestia/files/celestia-1.3.2-noarts.patch
  6. 1
      sci-astronomy/celestia/files/digest-celestia-1.3.2
  7. 1
      sci-astronomy/celestia/files/digest-celestia-1.4.0
  8. 20
      sci-astronomy/celestia/files/resmanager.h.patch
  9. 13
      sci-astronomy/celestia/metadata.xml

170
sci-astronomy/celestia/ChangeLog

@ -0,0 +1,170 @@
# ChangeLog for sci-astronomy/celestia
# Copyright 2002-2005 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/sci-astronomy/celestia/ChangeLog,v 1.4 2005/09/03 22:46:31 eradicator Exp $
03 Sep 2005; Jeremy Huddleston <eradicator@gentoo.org>
celestia-1.3.2.ebuild:
Changed note to reference eselect instead of opengl-update.
17 Jul 2005; Mike Frysinger <vapier@gentoo.org> celestia-1.3.2.ebuild:
Change glut to use virtual/glut #93449, clean up the ebuild a bit, and if
user hasnt selected gtk/kde/gnome, default to gtk since it is the lightest
depend.
*celestia-1.3.2 (23 Dec 2004)
23 Dec 2004; Olivier Fisette <ribosome@gentoo.org> +metadata.xml,
+files/celestia-1.3.2-noarts.patch, +files/resmanager.h.patch,
+celestia-1.3.2.ebuild:
Moved from app-sci/celestia to sci-astronomy/celestia.
29 Nov 2004; Daniel Goller <morfic@gentoo.org>
-files/celestia-1.3.1-gtkmain.patch, -files/celestia-gcc3.patch,
-celestia-1.3.0-r1.ebuild, -celestia-1.3.0.ebuild, -celestia-1.3.1.ebuild:
Cleaning up all the old/broken ebuilds and their files.
28 Nov 2004; Simon Stelling <blubb@gentoo.org> celestia-1.3.2.ebuild:
stable on amd64
16 Nov 2004; Patrick Kursawe <phosphan@gentoo.org> celestia-1.3.0-r1.ebuild,
celestia-1.3.0.ebuild, celestia-1.3.1.ebuild:
Fixing #71064 (removing einfo "-------")
12 Nov 2004; Daniel Goller <morfic@gentoo.org> celestia-1.3.2.ebuild:
added arts USE flag, stable on x86 and ppc
30 Sep 2004; Daniel Goller <morfic@gentoo.org> -celestia-1.3.2_pre20040731-r1.ebuild,
-celestia-1.3.2_pre20040731.ebuild, -digest-celestia-1.3.2_pre20040731, -digest-celestia-1.3.2_pre20040731-r1:
cleaned up old 1.3.2_pre ebuilds
01 Oct 2004; Danny van Dyk <kugelfang@gentoo.org> celestia-1.3.2.ebuild:
Marked ~amd64.
27 Sep 2004; Daniel Goller <morfic@gentoo.org> celestia-1.3.2.ebuild:
added ~ppc keyword
25 Sep 2004; Daniel Goller <morfic@gentoo.org> metadata.xml:
added maintainers to metadata.xml
*celestia-1.3.2 (31 Aug 2004)
31 Aug 2004; Daniel Goller <morfic@gentoo.org> +celestia-1.3.2.ebuild:
new version, updated depends
thanks Giacomo Perale, Bret Towe
18 Aug 2004; Daniel Goller <morfic@gentoo.org> -celestia-1.2.2.ebuild,
-celestia-1.2.4.ebuild, -celestia-1.2.5.ebuild,
celestia-1.3.2_pre20040731-r1.ebuild:
Ditch old versions
18 Aug 2004; Daniel Goller <morfic@gentoo.org>
celestia-1.3.2_pre20040731-r1.ebuild:
Fixed USE logic and other cleanups.
Thanks Jay.
*celestia-1.3.2_pre20040731-r1 (08 Aug 2004)
08 Aug 2004; Daniel Goller <morfic@gentoo.org>
+celestia-1.3.2_pre20040731-r1.ebuild:
Fix gtk and gnome UI
Special Thanks to Bret Towe
08 Aug 2004; Olivier Fisette <ribosome@gentoo.org>
celestia-1.3.2_pre20040731.ebuild:
Removed RESTRICT="nomirror" as suggested in bug #59781.
08 Aug 2004; Daniel Goller <morfic@gentoo.org>
celestia-1.3.2_pre20040731.ebuild:
making kde deps non conditional till gtk choice can be fixed
at which point choice between kde and gtk should be reenabled
05 Aug 2004; Daniel Goller <morfic@gentoo.org>
celestia-1.3.2_pre20040731.ebuild:
Little Cleanup
*celestia-1.3.2_pre20040731 (04 Aug 2004)
04 Aug 2004; Daniel Goller <morfic@gentoo.org> +files/resmanager.h.patch,
+celestia-1.3.2_pre20040731.ebuild:
CVS version actually runs after compilation, committing
Fixes numerous bugs
Thanks to Polynomial-C@gmx.de (ebuild) and Bret Towe (patch)
17 Jun 2004; Michael Sterrett <mr_bones_@gentoo.org>
celestia-1.3.0-r1.ebuild, celestia-1.3.1.ebuild:
fix use invocation
06 Jun 2004; Danny van Dyk <kugelfang@gentoo.org> celestia-1.3.1.ebuild:
Marked stable on amd64.
02 Jun 2004; Aron Griffis <agriffis@gentoo.org> celestia-1.2.5.ebuild,
celestia-1.3.0.ebuild:
Fix use invocation
*celestia-1.3.1 (22 Apr 2004)
22 Apr 2004; Patrick Kursawe <phosphan@gentoo.org> celestia-1.3.1.ebuild,
files/celestia-1.3.1-gtkmain.patch:
Version bump, see bug #38184 about problems
11 Apr 2004; Donnie Berkholz <spyderous@gentoo.org>;
celestia-1.3.0-r1.ebuild, celestia-1.3.0.ebuild:
xorg-x11 compatibility fix.
25 Feb 2004; Patrick Kursawe <phosphan@gentoo.org> celestia-1.3.0-r1.ebuild:
Sandbox violation fixed
*celestia-1.3.0-r1 (25 Feb 2004)
25 Feb 2004; Patrick Kursawe <phosphan@gentoo.org> :
Moving from app-misc to app-sci
*celestia-1.3.0-r1 (10 Dec 2003)
10 Dec 2003; Patrick Kursawe <phosphan@gentoo.org> celestia-1.3.0-r1.ebuild:
Enabled building without gnome or kde.
30 Sep 2003; George Shapovalov <george@gentoo.org> celestia-1.3.0.ebuild :
added ~ppc flag as per test report by Fernando Usero <fusero@wanadoo.es>
*celestia-1.3.0 (11 May 2003)
11 May 2003; George Shapovalov <george@gentoo.org> celestia-1.2.5.ebuild :
new version (#19642)
*celestia-1.2.5 (12 Jan 2003)
12 Jan 2003; George Shapovalov <george@gentoo.org> celestia-1.2.5.ebuild :
new version. Looks like gcc-3.x issue were fixed.
Also problems were reported when compiling celestia with nvidia drivers
The fix is to opengl-update xfree && emerge celestia && opengl-update nvidia.
See also #6417
*celestia-1.2.4 (4 May 2002)
09 Nov 2002; George Shapovalov <george@gentoo.org> celestia-1.2.4.ebuild :
another fix - to filter out -funroll-loops which causes trouble with gcc-3.2
23 Oct 2002; George Shapovalov <george@gentoo.org> celestia-1.2.4.ebuild, files/celestia-gcc3.patch :
applied fix to make celestia compile under gcc-3.x,
Thanks to Bret Towe <btowe@gbis.com>, bug #6417
19 Oct 2002; Daniel Ahlberg <aliz@gentoo.org> celestia-1.2.4.ebuild :
Updated to mirror://sourceforge in SRC_URI.
4 May 2002; Seemant Kulleen <seemant@gentoo.org> celestia-1.2.4.ebuild
files/digest-celestia-1.2.4 :
Version bump, which hopefully sorts out compilation errors that were reported
by greg@digitalinfo.net (Greg Anuzelli) in bug #2394
*celestia-1.2.2 (13 Apr 2002)
13 Apr 2002; Bruce A. Locke <blocke@shivan.org> celestia-1.2.2.ebuild:
Celestia added to Gentoo

8
sci-astronomy/celestia/Manifest

@ -0,0 +1,8 @@
MD5 87233acdbef08c144d95e7dad998d42c ChangeLog 6039
MD5 6be90f964bc6ca0195b0623338dfd1f0 celestia-1.3.2.ebuild 3063
MD5 c191839acce72e8120ea5e6d0a232f8a celestia-1.4.0.ebuild 2650
MD5 f659f2616eeaaa4d3b6422e586d2bfa2 files/celestia-1.3.2-noarts.patch 3566
MD5 d4ff8e51fb3a546279e7442cf24e07d7 files/digest-celestia-1.3.2 68
MD5 8e1dfea9c274b2242b921a467ec1d54b files/digest-celestia-1.4.0 68
MD5 f96a6eb019a59bf1a643b96c43657af8 files/resmanager.h.patch 893
MD5 1b55bd73a1313e288a88762af6cd0fb7 metadata.xml 330

109
sci-astronomy/celestia/celestia-1.3.2.ebuild

@ -0,0 +1,109 @@
# Copyright 1999-2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/sci-astronomy/celestia/celestia-1.3.2.ebuild,v 1.4 2005/09/03 22:46:31 eradicator Exp $
inherit eutils flag-o-matic gnome2 kde-functions
DESCRIPTION="real-time space simulation that lets you experience our universe in three dimensions"
HOMEPAGE="http://www.shatters.net/celestia/"
SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="amd64 ppc x86"
IUSE="gnome gtk kde arts"
DEPEND="virtual/glut
virtual/glu
media-libs/jpeg
media-libs/libpng
dev-lang/lua
gtk? ( >=x11-libs/gtk+-2.0 >=x11-libs/gtkglext-1.0 )
!gnome? ( !kde? ( >=x11-libs/gtk+-2.0 >=x11-libs/gtkglext-1.0 ) )
gnome? ( >=gnome-base/libgnomeui-2.0 )
kde? (
>=kde-base/kdelibs-3.0.5
arts? ( kde-base/arts )
)"
pkg_setup() {
# Check for one for the following use flags to be set.
if use kde ; then
einfo "USE=\"kde\" detected. This will override any gnome/gtk USE preferences."
export MYMAKE="kde"
elif use gnome ; then
einfo "USE=\"gnome\" detected."
export MYMAKE="gnome"
elif use gtk ; then
einfo "USE=\"gtk\" detected."
export MYMAKE="gtk"
else
ewarn "You should set at least one of USE=\"{kde/gnome/gtk}\""
ewarn "Defaulting to gtk support."
export MYMAKE="gtk"
fi
# Get X11 implementation
X11_IMPLEM_P="$(best_version virtual/x11)"
X11_IMPLEM="${X11_IMPLEM_P%-[0-9]*}"
X11_IMPLEM="${X11_IMPLEM##*\/}"
einfo "Please note:"
einfo "if you experience problems building celestia with nvidia drivers,"
einfo "you can try:"
einfo "eselect opengl set xorg-x11"
einfo "emerge celestia"
einfo "eselect opengl set nvidia"
}
src_unpack() {
unpack ${A}
cd "${S}"
# adding gcc-3.4 support as posted in
# (http://bugs.gentoo.org/show_bug.cgi?id=53479#c2)
epatch "${FILESDIR}"/resmanager.h.patch \
! use arts && epatch "${FILESDIR}"/celestia-1.3.2-noarts.patch
if [ "${MYMAKE}" != "gnome" ]; then
# alright this snapshot seems to have some trouble with installing a
# file properly. It wants to install celestia.schemas in / which leads
# to an ACCESS VIOLATION. Unfortunately this file even gets installed
# when no gtk/gnome is enabled
# The following lines prevents this but thinkabout as a dirty hack
cd ${S}/src/celestia/gtk || die
sed -i -e 's:@GCONF_SCHEMA_FILE_DIR@:$(pkgdatadir)/schemas:g' \
Makefile.in || die
sed -i -e 's:@GCONF_SCHEMA_FILE_DIR@:$(pkgdatadir)/schemas:g' \
data/Makefile.in || die
fi
}
src_compile() {
filter-flags "-funroll-loops -frerun-loop-opt"
addwrite ${QTDIR}/etc/settings
if [ "${MYMAKE}" = "kde" ]; then
set-kdedir 3
set-qtdir 3
export kde_widgetdir="$KDEDIR/lib/kde3/plugins/designer"
fi
./configure \
--prefix=/usr \
--with-lua \
--with-${MYMAKE} || die "configure failed"
emake all || die
}
src_install() {
if [ "${MYMAKE}" = "gnome" ]; then
gnome2_src_install
else
make install prefix="${D}"/usr || die
fi
dodoc AUTHORS README TODO controls.txt
dohtml manual/*.html manual/*.css
}

97
sci-astronomy/celestia/celestia-1.4.0.ebuild

@ -0,0 +1,97 @@
# Copyright 1999-2006 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $
inherit eutils flag-o-matic gnome2 kde-functions
DESCRIPTION="Free space simulation that lets you experience our universe in three dimensions"
HOMEPAGE="http://www.shatters.net/${PN}/"
SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~x86"
IUSE="gnome gtk kde arts threads nls lua"
DEPEND="virtual/glu
media-libs/jpeg
media-libs/libpng
gtk? ( !gnome? ( !kde? (
>=x11-libs/gtk+-2.6
>=x11-libs/gtkglext-1.0
) ) )
gnome? ( !kde? (
>=x11-libs/gtk+-2.6
>=x11-libs/gtkglext-1.0
>=gnome-base/libgnomeui-2.0
) )
kde? ( !gnome? (
>=kde-base/kdelibs-3.0.5
arts? ( kde-base/arts )
) )
!gtk? ( !gnome? ( !kde? ( virtual/glut ) ) )
lua? ( >=dev-lang/lua-5.0 )"
pkg_setup() {
# Check for one for the following use flags to be set.
if use kde ; then
einfo "USE=\"kde\" detected."
export mygui="kde"
elif use gnome ; then
einfo "USE=\"gnome\" detected."
export mygui="gnome"
elif use gtk ; then
einfo "USE=\"gtk\" detected."
export mygui="gtk"
else
ewarn "If you want to use the full gui, set USE=\"{kde/gnome/gtk}\""
ewarn "Defaulting to glut support (no GUI)."
export mygui="glut"
fi
# Get X11 implementation
X11_IMPLEM_P="$(best_version virtual/x11)"
X11_IMPLEM="${X11_IMPLEM_P%-[0-9]*}"
X11_IMPLEM="${X11_IMPLEM##*\/}"
einfo "Please note:"
einfo "if you experience problems building celestia with nvidia drivers,"
einfo "you can try:"
einfo "eselect opengl set xorg-x11"
einfo "emerge celestia"
einfo "eselect opengl set nvidia"
}
src_compile() {
filter-flags "-funroll-loops -frerun-loop-opt"
addwrite ${QTDIR}/etc/settings
# remove manual installation in /usr/share/${PN}/manual
# replaced with dohtml in src_install
sed -i -e "s:manual::g" Makefile.in
if [ "${mygui}" = "kde" ]; then
set-kdedir 3
set-qtdir 3
export kde_widgetdir="$KDEDIR/lib/kde3/plugins/designer"
fi
econf \
--with-${mygui} \
$(use_with arts ) \
$(use_with lua ) \
$(use_enable threads threading ) \
$(use_enable nls ) \
|| die "econf failed"
emake || die "emake failed"
}
src_install() {
if [ "${mygui}" = "gnome" ]; then
gnome2_src_install
else
make install DESTDIR="${D}" \
|| die "make install failed"
fi
dodoc AUTHORS README TODO NEWS TRANSLATORS ChangeLog \
CelestiaKeyAssignments.txt KbdMouseJoyControls.txt devguide.txt
dohtml coding-standars.html manual/*.html manual/*.css
}

141
sci-astronomy/celestia/files/celestia-1.3.2-noarts.patch

@ -0,0 +1,141 @@
--- configure.old 2004-11-05 15:10:33.551447944 -0800
+++ configure 2004-11-05 15:12:24.319608624 -0800
@@ -27442,138 +27442,6 @@
fi
- echo "$as_me:$LINENO: checking for mcopidl" >&5
-echo $ECHO_N "checking for mcopidl... $ECHO_C" >&6
- if test -n "$MCOPIDL"; then
- kde_cv_path="$MCOPIDL";
- else
- kde_cache=`echo mcopidl | sed 'y%./+-%__p_%'`
-
- if eval "test \"\${kde_cv_path_$kde_cache+set}\" = set"; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-
- kde_cv_path="NONE"
- dirs="$kde_default_bindirs"
- kde_save_IFS=$IFS
- IFS=':'
- for dir in $PATH; do
- dirs="$dirs $dir"
- done
- IFS=$kde_save_IFS
-
- for dir in $dirs; do
- if test -x "$dir/mcopidl"; then
- if test -n ""
- then
- evalstr="$dir/mcopidl 2>&1 "
- if eval $evalstr; then
- kde_cv_path="$dir/mcopidl"
- break
- fi
- else
- kde_cv_path="$dir/mcopidl"
- break
- fi
- fi
- done
-
- eval "kde_cv_path_$kde_cache=$kde_cv_path"
-
-
-fi
-
-
- eval "kde_cv_path=\"`echo '$kde_cv_path_'$kde_cache`\""
-
- fi
-
- if test -z "$kde_cv_path" || test "$kde_cv_path" = NONE; then
- echo "$as_me:$LINENO: result: not found" >&5
-echo "${ECHO_T}not found" >&6
-
- { { echo "$as_me:$LINENO: error: The important program mcopidl was not found!
-Please check whether you installed aRts correctly.
-" >&5
-echo "$as_me: error: The important program mcopidl was not found!
-Please check whether you installed aRts correctly.
-" >&2;}
- { (exit 1); exit 1; }; }
-
- else
- echo "$as_me:$LINENO: result: $kde_cv_path" >&5
-echo "${ECHO_T}$kde_cv_path" >&6
- MCOPIDL=$kde_cv_path
-
- fi
-
-
- echo "$as_me:$LINENO: checking for artsc-config" >&5
-echo $ECHO_N "checking for artsc-config... $ECHO_C" >&6
- if test -n "$ARTSCCONFIG"; then
- kde_cv_path="$ARTSCCONFIG";
- else
- kde_cache=`echo artsc-config | sed 'y%./+-%__p_%'`
-
- if eval "test \"\${kde_cv_path_$kde_cache+set}\" = set"; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-
- kde_cv_path="NONE"
- dirs="$kde_default_bindirs"
- kde_save_IFS=$IFS
- IFS=':'
- for dir in $PATH; do
- dirs="$dirs $dir"
- done
- IFS=$kde_save_IFS
-
- for dir in $dirs; do
- if test -x "$dir/artsc-config"; then
- if test -n ""
- then
- evalstr="$dir/artsc-config 2>&1 "
- if eval $evalstr; then
- kde_cv_path="$dir/artsc-config"
- break
- fi
- else
- kde_cv_path="$dir/artsc-config"
- break
- fi
- fi
- done
-
- eval "kde_cv_path_$kde_cache=$kde_cv_path"
-
-
-fi
-
-
- eval "kde_cv_path=\"`echo '$kde_cv_path_'$kde_cache`\""
-
- fi
-
- if test -z "$kde_cv_path" || test "$kde_cv_path" = NONE; then
- echo "$as_me:$LINENO: result: not found" >&5
-echo "${ECHO_T}not found" >&6
-
- { { echo "$as_me:$LINENO: error: The important program artsc-config was not found!
-Please check whether you installed aRts correctly.
-" >&5
-echo "$as_me: error: The important program artsc-config was not found!
-Please check whether you installed aRts correctly.
-" >&2;}
- { (exit 1); exit 1; }; }
-
- else
- echo "$as_me:$LINENO: result: $kde_cv_path" >&5
-echo "${ECHO_T}$kde_cv_path" >&6
- ARTSCCONFIG=$kde_cv_path
-
- fi
-
-
echo "$as_me:$LINENO: checking for kde-config" >&5
echo $ECHO_N "checking for kde-config... $ECHO_C" >&6
if test -n "$KDECONFIG"; then

1
sci-astronomy/celestia/files/digest-celestia-1.3.2

@ -0,0 +1 @@
MD5 0aaf86592a8989a0576e34c1f4cb3c2a celestia-1.3.2.tar.gz 18091458

1
sci-astronomy/celestia/files/digest-celestia-1.4.0

@ -0,0 +1 @@
MD5 d4bd0029af87fdd9cb4a0828cf62a025 celestia-1.4.0.tar.gz 25044420

20
sci-astronomy/celestia/files/resmanager.h.patch

@ -0,0 +1,20 @@
--- resmanager.h.old 2004-06-09 18:53:52.357752656 -0500
+++ celestia-1.3.1/src/celutil/resmanager.h 2004-06-09 18:52:12.144987312 -0500
@@ -72,7 +72,7 @@
{
ResourceHandle h = handles.size();
resources.insert(resources.end(), info);
- handles.insert(ResourceHandleMap::value_type(info, h));
+ handles.insert(typename ResourceHandleMap::value_type(info, h));
return h;
}
}
@@ -105,7 +105,7 @@
else
{
resources[h].state = ResourceLoaded;
- loadedResources.insert(NameMap::value_type(resources[h].resolvedName, resources[h].resource));
+ loadedResources.insert(typename NameMap::value_type(resources[h].resolvedName, resources[h].resource));
}
}
}

13
sci-astronomy/celestia/metadata.xml

@ -0,0 +1,13 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<herd>sci</herd>
<maintainer>
<email>magnade@gmail.com</email>
<name>Bret Towe</name>
</maintainer>
<maintainer>
<email>morfic@gentoo.org</email>
<name>Daniel Goller</name>
</maintainer>
</pkgmetadata>
Loading…
Cancel
Save